/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.inputstreamreaderexample;

import java.io.InputStreamReader;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;
import java.io.FileInputStream;
import java.io.IOException;

/**
 *
 * @author omozegieaziegbe
 */
public class InputStreamReaderExample {

    public static void main(String[] args) {
        try (InputStream inputStream = new FileInputStream("src/main/resources/sample.txt");
        InputStreamReader reader = new InputStreamReader(inputStream, StandardCharsets.UTF_8)) {
            int data;
            while ((data = reader.read()) != -1) {
                // Process character data
                System.out.print((char) data);
            }
        } catch (IOException e) {
        }
    }
}
